## libpll 0.3.1

=== test/Makefile ===
#    Copyright (C) 2015 Diego Darriba
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#    Contact: Diego Darriba <Diego.Darriba@h-its.org>,
#    Exelixis Lab, Heidelberg Instutute for Theoretical Studies
#    Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

CC = gcc
CFLAGS = -L. -g -O3 -Wall -std=c99
CLIBS = -lpll -lm

CFILES = $(shell find src -name '*.c' ! -name 'common.c')

OBJFILES = $(patsubst src/%.c, obj/%, $(CFILES))

OBJCOMMON = src/common.o

DATADIR = testdata
RESULTDIR = result

DEPFILES = worms16s.fas \
					 small.fas small.tree small.rooted.tree small.rooted.tip.tree \
					 246x4465.fas 246x4465.tree \
					 ribosomal_l5_pf00673.fas ribosomal_l5_pf00673.tree \
					 medium.fas medium.tree \
					 2000.fas 2000.tree \
					 200.fas 200.tree \
					 1000x5.dna.fas 1000.tree

REQFILES = $(patsubst %, $(DATADIR)/%, $(DEPFILES))
ASSETS = https://raw.githubusercontent.com/xflouris/assets/master/libpll

all: $(OBJCOMMON) $(OBJFILES) $(REQFILES)
	@mkdir -p $(RESULTDIR)

$(DATADIR)/%:
	@mkdir -p "$(@D)"
	wget -O $@ $(ASSETS)/$@

obj/%: src/%.c $(DEPS)
	@mkdir -p "$(@D)"
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< $(OBJCOMMON) $(CLIBS) $(LDFLAGS) -DDATADIR=\"$(DATADIR)\"

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $< $(CLIBS) $(LDFLAGS) -DDATADIR=\"$(DATADIR)\"
	
clean:
	rm -rf obj result/* $(OBJCOMMON)

=== examples/lg4/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=lg4

all: $(PROG)

OBJS=lg4.o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/load-utree/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=load-utree

all: $(PROG)

OBJS=load-utree.o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/newick-fasta-rooted/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=newick-fasta-rooted

all: $(PROG)

OBJS=$(PROG).o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/newick-phylip-unrooted/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=newick-phylip-unrooted

all: $(PROG)

OBJS=$(PROG).o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/protein-list/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -I. -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=protein-list

all: $(PROG)

OBJS=$(PROG).o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/rooted-tacg/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=rooted-tacg

all: $(PROG)

OBJS=$(PROG).o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/rooted/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=rooted

all: $(PROG)

OBJS=rooted.o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== debian/changelog ===
libpll (0.3.1-1) unstable; urgency=medium

  * new upstream version incorporating all patches
  * remove unneeded debian/get-orig-source

 -- Andreas Tille <tille@debian.org>  Wed, 17 May 2017 16:39:48 +0200

libpll (0.3.0-3) unstable; urgency=medium

  * add overrides to d-shlibmove

 -- Andreas Tille <tille@debian.org>  Tue, 16 May 2017 16:57:48 +0200

libpll (0.3.0-2) unstable; urgency=medium

  [ James Cowgill ]
  * only tries to detect x86 features on x86
  * detects altivec properly
  * uses GCC's __builtin_cpu_supports which is nicer than cpuid
  * compiles with --disable-* on all arches except x86
  * enables arch specific code on x86 (there is proper runtime detection now)
  * uses debhelper 10 to avoid manual autogen
  * includes architecture.mk which is required before using DEB_HOST_*

 -- Andreas Tille <tille@debian.org>  Tue, 16 May 2017 15:02:17 +0200

libpll (0.3.0-1) unstable; urgency=medium

  * Check for HAVE_X86INTRIN_H
    Closes: #861754
  * New upstream version uses runtime detection and thus does not use AVX and
    SSE on i386 and other architectures
    Closes: #861755

 -- Andreas Tille <tille@debian.org>  Mon, 15 May 2017 09:19:35 +0200

libpll (0.0+20160909+ds1-1) unstable; urgency=medium

  * Remove m4/ files which can be found in package autoconf-archive

 -- Andreas Tille <tille@debian.org>  Wed, 03 May 2017 15:33:50 +0200

libpll (0.0+20160909-1) unstable; urgency=low

  * Initial release (Closes: #861529)

 -- Andreas Tille <tille@debian.org>  Sun, 30 Apr 2017 13:55:29 +0200

=== debian/control ===
Source: libpll
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 10),
               d-shlibs,
               bison,
               flex,
               autoconf-archive
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libpll.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libpll.git
Homepage: http://www.libpll.org/

Package: libpll0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Phylogenetic Likelihood Library
 PLL is a highly optimized, parallelized software library to ease the
 development of new software tools dealing with phylogenetic inference.
 .
 Among the functions included in PLL are parsing multiple sequence
 alignments (MSA) from PHYLIP and FASTA files, reading Newick trees,
 performing topological moves such as SPR and NNI, model optimization,
 likelihood evaluation and partitioned analysis by assigning different
 substitution models to each partition of the MSA. PLL fully implements
 the GTR nucleotide substitution model for DNA data and a number of
 models for aminoacid data.
 .
 This package contains the dynamic library.

Package: libpll-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpll0 (= ${binary:Version})
Description: Phylogenetic Likelihood Library (development)
 PLL is a highly optimized, parallelized software library to ease the
 development of new software tools dealing with phylogenetic inference.
 .
 Among the functions included in PLL are parsing multiple sequence
 alignments (MSA) from PHYLIP and FASTA files, reading Newick trees,
 performing topological moves such as SPR and NNI, model optimization,
 likelihood evaluation and partitioned analysis by assigning different
 substitution models to each partition of the MSA. PLL fully implements
 the GTR nucleotide substitution model for DNA data and a number of
 models for aminoacid data.
 .
 This package contains the static library and the header file.

## libpll 0.3.2

=== examples/heterotachy/Makefile ===
# Copyright (C) 2015 Diego Darriba
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Diego Darriba <Diego.Darriba@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=heterotachy

all: $(PROG)

OBJS=heterotachy.o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) $(PROG)

=== examples/newick-export/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 -D_GNU_SOURCE $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=newick-export

all: $(PROG)

OBJS=newick-export.o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/newick-fasta-unrooted/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=newick-fasta-unrooted

all: $(PROG)

OBJS=$(PROG).o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/newton/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=newton

all: $(PROG)

OBJS=newton.o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/parsimony/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=npr-pars

all: $(PROG)

OBJS=$(PROG).o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/partial-traversal/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=partial-traversal

all: $(PROG)

OBJS=partial.o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/stepwise/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN)
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=stepwise

all: $(PROG)

OBJS=$(PROG).o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== examples/unrooted/Makefile ===
# Copyright (C) 2015 Tomas Flouri
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: Tomas Flouri <Tomas.Flouri@h-its.org>,
# Heidelberg Institute for Theoretical Studies,
# Schloss-Wolfsbrunnenweg 35, D-69118 Heidelberg, Germany

# Profiling
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare

CC = gcc
CFLAGS = -Wall -g -O3 $(WARN) -std=c99
LINKFLAGS = -L. $(PROFILING)
LIBS=-lpll -lm
PROG=unrooted

all: $(PROG)

OBJS=unrooted.o

$(PROG): $(OBJS)
	$(CC) $(LINKFLAGS) -o $@ $+ $(LIBS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *~ $(OBJS) gmon.out $(PROG)

=== debian/changelog ===
libpll (0.3.2-5) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.2 (routine-update)
  * Apply multi-arch hints.
  * d/clean: Remove autogenerated files in src/ (Closes: #1046603)
  * d/source/options: Ignore modified manpage (Closes: #1049759)
  * d/libpll-dev.examples: Install examples folder
  * d/rules: Remove files from debian/tmp that do not get installed
  * d/tests/run-unit-test: Run tests for all supported python versions
  * d/patches: Pass CFLAGS during build

 -- Lance Lin <lq27267@gmail.com>  Tue, 12 Dec 2023 19:59:18 +0700

libpll (0.3.2-4) unstable; urgency=medium

  * Fix parallel build (Thanks a lot to Frédéric Bonnard)
    Closes: #976906
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 11 Dec 2020 19:05:53 +0100

libpll (0.3.2-3) unstable; urgency=medium

  * Team Upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Nilesh Patra ]
  * Add 2to3.patch
  * Add autopkgtest
  * Drop compat, switch to debhelper-compat 13

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 16 Jul 2020 02:15:44 +0530

libpll (0.3.2-2) unstable; urgency=medium

  * Team upload
  * Update symbols for !x86 architectures (Closes: #902205)
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Sat, 23 Jun 2018 18:16:42 +0000

libpll (0.3.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Add symbols file

 -- Andreas Tille <tille@debian.org>  Mon, 28 May 2018 21:21:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: libpll
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                bison,
                flex,
                autoconf-archive
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libpll.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libpll.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/med-team/libpll
+Vcs-Git: https://salsa.debian.org/med-team/libpll.git
 Homepage: http://www.libpll.org/
+Rules-Requires-Root: no
 
 Package: libpll0
+Architecture: any
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Multi-Arch: same
 Description: Phylogenetic Likelihood Library
  PLL is a highly optimized, parallelized software library to ease the
  development of new software tools dealing with phylogenetic inference.
@@ -32,9 +35,11 @@
  This package contains the dynamic library.
 
 Package: libpll-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpll0 (= ${binary:Version})
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libpll0 (= ${binary:Version})
 Description: Phylogenetic Likelihood Library (development)
  PLL is a highly optimized, parallelized software library to ease the
  development of new software tools dealing with phylogenetic inference.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifneq ($(filter $(DEB_HOST_ARCH_CPU), amd64 i386),)
	dh_auto_configure
else
	dh_auto_configure -- --disable-sse --disable-avx --disable-avx2
endif

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --override s/ld64-1-dev// \
		    --override s/ld-kfreebsd-x86-64-1-dev// \
		    --movedev debian/tmp/usr/include/* usr/include \
		    debian/tmp/usr/lib/*/*.so

override_dh_installman:
	sed -i 's/conjuction/conjunction/' man/libpll.3
	dh_installman

override_dh_missing:
	find debian/tmp -type f \( -name "*.la" -o -name "libpll.3" \) | xargs rm -rf
	find debian/tmp -name examples | xargs rm -rf
	find debian/libpll-dev/usr/share/doc/libpll-dev/examples/ -name .gitignore | xargs rm -rf
	dh_missing

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://github.com/xflouris/libpll/releases .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
